---
features:
  secondary:
  - name: "Rate limiting added to Global Search"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/api/settings.html'
    reporter: JohnMcGuire
    stage: enablement
    categories:
    - Global Search
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/355912'
    description: 
      Some of the processes in Global Search conduct up to 10 queries per search. When there is a sudden rush of searches, this can slow performance and impact other parts of GitLab.
      To improve the overall stability of GitLab, we have added rate limits for Global Search.
      These rate limits are automatically enabled and are preset to the [configurations](https://docs.gitlab.com/ee/administration/instance_limits.html#search-rate-limit) used by GitLab.com.
      
      The new `search_rate_limit` replaces the rate limit for `user_email_lookup_limit`. Consult the [Important notes on upgrading to GitLab 14.9](#upgrade) section for details.
